As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 827352 - The newly installed apps are not displayed in "My Apps" section
: The newly installed apps are not displayed in "My Apps" section
Status: RESOLVED FIXED
u=rev p=1
:
Product: Marketplace
Classification: Server Software
Component: Consumer Pages (show other bugs)
: 1.0
: x86_64 Windows 7
: P3 normal (vote)
: 2013-01-24
Assigned To: Andy McKay [:andym]
:
:
Mentors:
https://marketplace-dev.allizom.org/p...
Depends on:
Blocks: 756282
  Show dependency treegraph
 
Reported: 2013-01-07 07:48 PST by Victor Carciu
Modified: 2013-06-14 15:56 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Victor Carciu 2013-01-07 07:48:09 PST
Prerequisites:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:20.0) Gecko/20121226 Firefox/20.0

Steps to reproduce:
1.Go to MP and login
2.Install some new apps and then from "Settings" go to "My Apps" section

Expected results:
The newly installed apps are listed under "My Apps" section

Actual results
Newly installed apps are not listed.

Please see screencast(apps were installed 2 hours ago) : http://screencast.com/t/qGSvZRi1LoP
Comment 1 User image Christopher Van Wiemeersch [:cvan] 2013-01-07 09:36:59 PST
[janus] doesn't serve a purpose anymore.
Comment 2 User image Christopher Van Wiemeersch [:cvan] 2013-01-07 10:21:56 PST
If you're a reviewer, if you install any app (even from the consumer pages), we don't list it in your "My Apps" page.

The correct behaviour should probably be to exclude only those apps installed from the Reviewer Tools. Anyway, the relevant bug is bug 762224.
Comment 3 User image Wil Clouser [:clouserw] 2013-01-11 09:38:17 PST
(In reply to Chris Van Wiemeersch [:cvan] from comment #2)
> If you're a reviewer, if you install any app (even from the consumer pages),
> we don't list it in your "My Apps" page.
> 
> The correct behaviour should probably be to exclude only those apps
> installed from the Reviewer Tools. Anyway, the relevant bug is bug 762224.

Yeah, that's the right behavior.
Comment 4 User image Andy McKay [:andym] 2013-01-22 10:35:45 PST
https://github.com/mozilla/zamboni/commit/141a68
Comment 5 User image Victor Carciu 2013-01-23 05:41:11 PST
I am logged as a reviewer and the apps are still not visible even if I installed them from MP , not from Reviewer Tools.
Comment 6 User image Andy McKay [:andym] 2013-01-23 14:30:29 PST
Is this a app you've never installed before? We only record an install once, if its an app you've installed before it won't show up.
Comment 7 User image Andy McKay [:andym] 2013-01-23 15:06:45 PST
Oh no, spoke to soon, its occuring here too. Let's try again.
Comment 8 User image Andy McKay [:andym] 2013-01-23 15:59:26 PST
Second time lucky!

https://github.com/mozilla/zamboni/commit/21a47b
Comment 9 User image Victor Carciu 2013-01-24 09:05:54 PST
Verified as fixed : http://screencast.com/t/eqorlNPGLTy
Comment 10 User image Victor Carciu 2013-06-13 06:02:14 PDT
Reopening because this is still reproducible on stage. Please see logs : ID: d2e2d
Comment 11 User image Andy McKay [:andym] 2013-06-14 15:56:56 PDT
The architecture has changed an awful lot in 6 months and this does not exist in the same form. Please file a new bug in consumer pages.

Note You need to log in before you can comment on or make changes to this bug.